> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/de/knowledge-base/how-to-articles/performance-diagnostic.md).

# Leistungsdiagnose

Wenn bei der Verwendung von Remote Desktop Manager Windows ein Leistungsproblem auftritt, bittet Sie das Support-Team möglicherweise, einige Details zu Ihrer Datenquelle, Systemeinstellungen usw. zu senden. Verwenden Sie eine der beiden folgenden Methoden, um die Informationen zu sammeln und an das Support-Team zu senden.

### Leistungs-Trace über Remote Desktop Manager senden

1. Öffnen Sie ***Datei*** – ***Meine Datenquelleninformationen***.
2. Klicken Sie auf die Schaltfläche ***Bericht per E-Mail an den Support senden***, um die Informationen an das Support-Team zu senden.
3. Öffnen Sie ***Hilfe*** – ***Systemdiagnose***.
4. Klicken Sie auf die Schaltfläche ***Senden***.
5. Geben Sie genügend Informationen an, um den Bericht dem entsprechenden Ticket zuordnen zu können. Denken Sie daran, Ihren Benutzernamen anzugeben, wenn der Vorgang im Forum gestartet wurde.
6. Gehen Sie anschließend zu ***Hilfe*** – ***Leistungsprofilierung.***
7. Halten Sie in Remote Desktop Manager die <kbd>Ctrl</kbd>-Taste gedrückt und klicken Sie auf die Aktualisieren-Schaltfläche.
8. Die Informationen werden auf der Registerkarte ***Leistung*** des in Schritt 6 geöffneten Leistungsprofilierungsfensters hinzugefügt.
9. Klicken Sie auf die Schaltfläche ***Trace an den Support senden***. Stellen Sie auch hier sicher, dass Sie genügend Informationen angeben, um den Bericht dem entsprechenden Ticket zuordnen zu können, und geben Sie Ihren Forum-Benutzernamen an, wenn der Vorgang im Forum gestartet wurde.

### Einen Bericht „Disk usage by Top Tables“ per E-Mail über SSMS senden

Für Devolutions Server-, SQL- und SQL Azure-Datenquellen kann ein ***Disk usage by Top Tables***-***Bericht*** aus ***SQL Server Management Studio (SSMS)*** erstellt werden, um die Anzahl der Datensätze in bestimmten Datenbanktabellen zu bewerten. So gehen Sie dabei vor:

1. Öffnen Sie ***SQL Server Management Studio (SSMS)***.
2. Klicken Sie mit der rechten Maustaste auf die Datenbank und wählen Sie ***Reports*** – ***Standard Reports*** – ***Disk Usage by Top Tables***.
3. Senden Sie den Bericht an <service@devolutions.net>.

Hier ist ein Beispiel, wie der Bericht aussieht.

![](https://cdnweb.devolutions.net/docs/DVLS6078_2024_2.png)

Hier ist die ***SQL-Abfrage***, um dasselbe Ergebnis zu erhalten, wenn die Datenbank in Azure gehostet wird.

````
SELECT TOP 1000
        a3.name AS SchemaName,
        a2.name AS TableName,
        a1.rows as Row_Count,
        (a1.reserved )* 8.0 / 1024 AS reserved_mb,
        a1.data * 8.0 / 1024 AS data_mb,
        (CASE WHEN (a1.used ) > a1.data THEN (a1.used ) - a1.data ELSE 0 END) * 8.0 / 1024 AS index_size_mb,
        (CASE WHEN (a1.reserved ) > a1.used THEN (a1.reserved ) - a1.used ELSE 0 END) * 8.0 / 1024 AS unused_mb
    FROM    (   SELECT
                ps.object_id,
                SUM ( CASE WHEN (ps.index_id < 2) THEN row_count    ELSE 0 END ) AS [rows],
                SUM (ps.reserved_page_count) AS reserved,
                SUM (CASE   WHEN (ps.index_id < 2) THEN (ps.in_row_data_page_count + ps.lob_used_page_count + ps.row_overflow_used_page_count)
                            ELSE (ps.lob_used_page_count + ps.row_overflow_used_page_count) END
                    ) AS data,
                SUM (ps.used_page_count) AS used
                FROM sys.dm_db_partition_stats ps
                GROUP BY ps.object_id
            ) AS a1
    INNER JOIN sys.all_objects a2  ON ( a1.object_id = a2.object_id )
    INNER JOIN sys.schemas a3 ON (a2.schema_id = a3.schema_id)
    WHERE a2.type <> N'S' and a2.type <> N'IT'
    order by a1.reserved desc
```<div data-gb-custom-block data-tag="hint" data-style='info'>For Devolutions Server workspaces, the [Cleanup logs](https://docs.devolutions.net/server/de/web-interface/administration/database-retention-policies/) feature (***Administration*** – ***Logs*** – ***Clean up logs, i***n the Devolutions Server web interface) can help reduce the number of records in the report table by automatically archiving/deleting old logs.</div>
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/rdm/de/knowledge-base/how-to-articles/performance-diagnostic.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
